type token =
  | EOF
  | LPAR
  | RPAR
  | COMMA
  | BAR
  | ARROW
  | DARROW
  | EQUAL
  | ARROWEQ
  | ID of (Lexing.position * string)
  | STRING of (string)
  | OTHER of (string)
  | CONTEXTSENSITIVE of (Lexing.position)
  | EQUATIONS of (Lexing.position)
  | INNERMOST of (Lexing.position)
  | RULES of (Lexing.position)
  | STRATEGY of (Lexing.position)
  | THEORY of (Lexing.position)
  | VAR of (Lexing.position)
  | OUTERMOST of (Lexing.position)
  | CONDITIONTYPE of (Lexing.position)
  | JOIN of (Lexing.position)
  | SEMIEQUATIONAL of (Lexing.position)
  | ORIENTED of (Lexing.position)

val spec :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf ->  Readtrs_ast.decl list 
